Page MenuHomeFreeBSD

x11-wm/libdockapp: Update to 0.7.2
ClosedPublic

Authored by kai on Mar 8 2019, 2:51 PM.

Details

Summary

While I'm here:

  • Change MASTER_SITES to upstream's new location
  • Add license and path to the license file
  • Sort variables a bit according to the PHB
  • Simplify pkg-plist substitution for the installation of example files

Also add patches beside just bumping the port revision for both ports due changed location of the header files:

  • net/wmnetload
  • x11/xscreensaver.app

Changelog:

https://github.com/d-torrance/dockapps/blob/master/libdockapp/ChangeLog

PR: 235923
Approved by: (one of the mentors), maintainer timeout

  • Add patches
Test Plan
  • poudriere (11.2-, 12.0-RELEASE, 13.0-CURRENT@r344874 amd64 + i386) -> OK
  • portlint -> OK
  • Runtime tests for net/wmnetload + x11/xscreensaver.app with new version of x11-wm/libdockapp -> OK

Note: This is required before D19136 can land (= "upgrade" astro/wmsun to 1.05)

Diff Detail

Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 23042
Build 22113: arc lint + arc unit

Event Timeline

kai created this revision.Mar 8 2019, 2:51 PM
miwi requested changes to this revision.Mar 11 2019, 5:39 AM
miwi added inline comments.
x11-wm/libdockapp/Makefile
15

can that be replace with USED= fonts?

This revision now requires changes to proceed.Mar 11 2019, 5:39 AM
kai added inline comments.Mar 11 2019, 10:09 AM
x11-wm/libdockapp/Makefile
15

USES=fonts is already set on line 17 but as far I can tell from Mk/Uses/fonts.mk it only enables "mkfontdir" for RUN_DEPENDS when the arguments "fontsdir" or "fcfontsdir" are given.

When I omit the BUILD_DEPENDS line, the build fails in the configure phase with:

[...]
checking for mkfontdir... no
configure: error: mkfontdir is required to build libdockapp.
[...]
kai updated this revision to Diff 54988.Mar 12 2019, 3:28 PM

Rebased patch after rP495395 (x11-fonts/mkfontdir has been merged into x11-fonts/mkfontscale).

miwi accepted this revision.Mar 14 2019, 12:29 PM

LGTM

This revision is now accepted and ready to land.Mar 14 2019, 12:29 PM
This revision was automatically updated to reflect the committed changes.